package com.elab.spring.model.rest;

import com.elab.spring.dao.entity.MngHttpInfoEntity;

import java.util.concurrent.atomic.LongAdder;

/**
 * http请求指标
 *
 * @author ： liukx
 * @time ： 2020/6/17 - 17:29
 */
public class HttpUrlMetric extends MngHttpInfoEntity {

    /**
     * 成功的总数
     */
    private LongAdder okCount = new LongAdder();
    /**
     * 失败的总数
     */
    private LongAdder failCount = new LongAdder();

    public LongAdder getOkCount() {
        return okCount;
    }

    public void setOkCount(LongAdder okCount) {
        this.okCount = okCount;
    }

    public LongAdder getFailCount() {
        return failCount;
    }

    public void setFailCount(LongAdder failCount) {
        this.failCount = failCount;
    }

}
